System does not boot to a functional graphical display

Bug #1385920 reported by Ian Bruntlett
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
lubuntu-meta (Ubuntu)
Expired
High
Unassigned

Bug Description

HARDWARE:
Dell Optiplex GX50, 1.3GHz Celeron, 512MB RAM, 20GB Hard disc, CD-ROM- drive, Floppy disc drive, Intel 810 chip set.

EXPECTED RESULT:
System should boot to a graphical display.

ACTUAL RESULT:
System boots to varying degrees of dysfunctional graphical displays.

STEPS TO REPRODUCE:
1. Install Lubuntu 14.10 from the alternate i386 image.
2. Boot the system.
3. See big white screen with a little black squiggle at the top left hand screen.

SLIGHT WORKAROUND:
1. Boot again, passing the nomodeset parameter.
2. See blank screen but can get to a virtual terminal with Ctrl-Alt-F1.

Walter Lapchynski (wxl)
affects: lubuntu-software-center → lubuntu-meta (Ubuntu)
Revision history for this message
Walter Lapchynski (wxl) wrote :

Need more info. Please do `apport-collect 1385920`. Please make sure that /var/log/Xorg.0.log is included.

It doesn't seem like turning kernel mode setting off is fixing everything for you (nomodeset) but it's making things better. If that's the ultimate cause of the problem, that's not necessarily a bug since you can fix it by making the change permanent in your GRUB settings. Linux can support more hardware than most, especially old hardware, but that doesn't mean it isn't without its quirks.

Revision history for this message
Walter Lapchynski (wxl) wrote :

One other thing: is there anything in /var/crash?

It would also be interesting to see if you could get anyone to confirm this.

description: updated
summary: - System boots into an all white screen
+ System does not boot to a functional graphical display
Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote : Re: [Bug 1385920] Re: System boots into an all white screen

Hi Walter,

I'm going to be quiet on the lists - am learning to a reasonable level how
to write GRUB scripts, where the individual portions are stored and how to
update the system after changing entries.

I have also found out that Intel have special software that helps with
Linux graphics drivers. Will be looking into that after I am adequately
competent to handle GRUB scripts.

All this activity is designed to try and come up with a solution to bug
1385920
:)

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Walter Lapchynski (wxl) wrote :

Oh, and can you confirm this behavior with other flavors? Check Ubuntu, Kubuntu, Xubuntu. If they all have this problem, then Lubuntu is not to blame.

It would also be good to know if this was a problem with previous versions? Which other versions have been tested?

Changed in lubuntu-meta (Ubuntu):
status: New → Incomplete
Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote : Re: [Bug 1385920] Re: System does not boot to a functional graphical display

Hi Walter,

On 28 October 2014 15:51, Walter Lapchynski <email address hidden>
wrote:

> Oh, and can you confirm this behavior with other flavors? Check Ubuntu,
> Kubuntu, Xubuntu. If they all have this problem, then Lubuntu is not to
> blame.
>
My test system only has 512MB of RAM and can't boot them anyway. Or so I
believe.

> It would also be good to know if this was a problem with previous
> versions? Which other versions have been tested?
>
In my travels, I tried earlier kernels listed under something like
"Advanced Ubuntu features" on GRUB and found that earlier kernels worked a
bit better. Can't remember if they worked or not. Have made a note of
things to do get information for you when I am next near the Dell.

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote :

Hi Walter,

See attached tar file. I haven't had to use a floppy disk for a while. Had
to look up on Google how to mount a USB memory stick. Hope the files I've
given you are useful - I've put the key bits of info in a readme file in
the attached tar file.

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Walter Lapchynski (wxl) wrote :

please upload the files individually and/or use `apport-collect`.

On 10/29/14, Ian Bruntlett <email address hidden> wrote:
> Hi Walter,
>
> See attached tar file. I haven't had to use a floppy disk for a while. Had
> to look up on Google how to mount a USB memory stick. Hope the files I've
> given you are useful - I've put the key bits of info in a readme file in
> the attached tar file.
>
> BW,
>
>
> Ian
>
>
> --
> -- ACCU - Professionalism in programming - http://www.accu.org
> -- Free Software page -
> http://contactmorpeth.wikispaces.com/SoftwareToolkit
> -- My writing - https://sites.google.com/site/ianbruntlett/
>
>
> ** Attachment added: "bug_1385920.tar"
>
> https://bugs.launchpad.net/bugs/1385920/+attachment/4248472/+files/bug_1385920.tar
>
> --
> You received this bug notification because you are a member of Lubuntu
> Packages Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/1385920
>
> Title:
> System does not boot to a functional graphical display
>
> Status in “lubuntu-meta” package in Ubuntu:
> Incomplete
>
> Bug description:
> HARDWARE:
> Dell Optiplex GX50, 1.3GHz Celeron, 512MB RAM, 20GB Hard disc, CD-ROM-
> drive, Floppy disc drive, Intel 810 chip set.
>
> EXPECTED RESULT:
> System should boot to a graphical display.
>
> ACTUAL RESULT:
> System boots to varying degrees of dysfunctional graphical displays.
>
> STEPS TO REPRODUCE:
> 1. Install Lubuntu 14.10 from the alternate i386 image.
> 2. Boot the system.
> 3. See big white screen with a little black squiggle at the top left hand
> screen.
>
> SLIGHT WORKAROUND:
> 1. Boot again, passing the nomodeset parameter.
> 2. See blank screen but can get to a virtual terminal with Ctrl-Alt-F1.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/lubuntu-meta/+bug/1385920/+subscriptions
>

Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote :

Hi Walter,

Have attached files. _usr_bin_Xorg.0.upload was 0 bytes long.

And here is the readme file that I created:-

Here is some information relevant to launchpad bug number is 1385920

These files are to do with tracking down the big white screen
problem exhibited with Ubuntu Linux 14.10.

Dramatis Personae:
* rutherford PC, a Dell Optiplex GX280. Used as my main PC and used for
most of my communications. Currently running Ubuntu 14.04LTS.
* vega PC. a Dell Optiplex GX50. The test system that exhibits this bug.
Spec: 1.3GHz Celeron, 512MB RAM, 20GB Hard disc, DVD-RW drive, Intel 810
chipset.

Because X Windows couldn't be run on vega PC, a graphical web browser could
not be used in conjunction with apport-collect. lynx was installed and
apport run a few times but I'm not certain the information got through.

For the other files requested by Walter - /var/log/Xorg etc, /var/crash
there were problems. Tried using my floppy drive but either my disks or
drive are faulty. Moved on to USB sticks. Had to mount a memory stick
manually in order to transfer the files from vega PC to rutherford PC.

ian@rutherford:~/get_crash$ ls -l
total 364
-rw-rw-r-- 1 ian ian 1018 Oct 29 20:05 readme_1385920.txt
-rw-r----- 1 ian ian 350622 Oct 29 20:00 _usr_bin_Xorg.0.crash
-rw-rw-r-- 1 ian ian 0 Oct 29 20:00 _usr_bin_Xorg.0.upload
-rw-r--r-- 1 ian ian 7573 Oct 29 19:55 Xorg.0.log
-rw-r--r-- 1 ian ian 7573 Oct 29 19:55 Xorg.0.log.old
ian@rutherford:~/get_crash$

Ian Bruntlett - <email address hidden> 29th October 2014

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Walter Lapchynski (wxl) wrote :

the results of `lspci -vvnn` would be helpful, too.

Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote :
  • lspci.txt Edit (5.2 KiB, text/plain; charset=US-ASCII; name="lspci.txt")
  • dmesg.txt Edit (39.1 KiB, text/plain; charset=US-ASCII; name="dmesg.txt")

Hi Walter,

See attached files. I've included output from lspci -vvnn (as requested)
and the output of dmesg as a special treat :)

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Walter Lapchynski (wxl) wrote :

now i'm beginning to agree that your problem is with your driver. there's no kernel drive in use for:
VGA compatible controller [0300]: Intel Corporation 82810E DC-133 (CGC) Chipset Graphics Controller [8086:7125] (rev 03) (prog-if 00 [VGA controller])

Changed in lubuntu-meta (Ubuntu):
status: Incomplete → New
Revision history for this message
Walter Lapchynski (wxl) wrote :

still, it would be good to find someone with similar hardware to confirm this. i've done some googling and i can't figure out what driver to use. this may be a real edge case.

Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote :

Hi Walter,

On 30 October 2014 18:36, Walter Lapchynski <email address hidden>
wrote:

> still, it would be good to find someone with similar hardware to confirm
> this. i've done some googling and i can't figure out what driver to use.
> this may be a real edge case.
>
I'll set aside more time to chase this down. Will keep you informed.

My key source of device driver help be:-
http://www.ubuntubuzz.com/2013/06/how-to-install-latest-intel-linux.html

Once I've got the GX50 working, I'll see about the GX60.

Today was busy. Installed lubuntu 14.04 on one of Contact's (
http://www.contactmorpeth.org.uk/) counsellor's Dell D620 laptop.

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Walter Lapchynski (wxl) wrote :

It doesn't seem that covers the chip in this case.

Revision history for this message
Ian Bruntlett (ian-bruntlett) wrote :

Hi Walter,

Reproduced this bug on another Dell Optiplex GX50 (hostname: austen).

I suspect the best workaround would be to install lubuntu 14.04LTS. Will
verify that sometime this week.

BW,

Ian

--
-- ACCU - Professionalism in programming - http://www.accu.org
-- Free Software page - http://contactmorpeth.wikispaces.com/SoftwareToolkit
-- My writing - https://sites.google.com/site/ianbruntlett/

Revision history for this message
Walter Lapchynski (wxl) wrote :

it would be interesting to know what kernel module a functional system
uses. you can use `lspci -vvnn` to figure this out.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lubuntu-meta (Ubuntu):
status: New → Confirmed
Revision history for this message
Aere Greenway (aere) wrote :

The live DVD for Lubuntu 14.10, and also ubuntuMATE 14.10 will not run on my Dell DX-1100 machine with integrated Intel graphics, but having the Intel graphics disabled in the BIOS setup, using instead a NVIDIA PCI graphics card.

During boot, it gets a render-error from the integrated Intel graphics card (even though the BIOS has it disabled), and (not knowing there is a PCI NVIDIA card), aborts loading the system.

Also, Lubuntu 14.10 won't boot on a Compac Deskpro (933 megahertz, 512 meg RAM) machine.

An lspci command on this machine yields the following information:

00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus Controller (rev 02)
00:1f.4 USB controller: Intel Corporation 82801BA/BAM USB Controller #1 (rev 02)
02:08.0 Ethernet controller: Intel Corporation 82801BA/BAM/CA/CAM Ethernet Controller (rev 01)
02:09.0 USB controller: NEC Corporation OHCI USB Controller (rev 43)
02:09.1 USB controller: NEC Corporation OHCI USB Controller (rev 43)
02:09.2 USB controller: NEC Corporation uPD72010x USB 2.0 Controller (rev 04)
02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 06)
02:0a.1 Input device controller: Creative Labs SB Live! Game Port (rev 06)

sysinfo yields the following information about the graphics card:

VGA compatible controller
      Intel Corporation 82815 Chipset Graphics Controller (CGC) (rev 02) (prog-if 00 [VGA controller])
      Subsystem: Compaq Computer Corporation Device 001a

Revision history for this message
Walter Lapchynski (wxl) wrote :

It appears that this affects a very specific chip. That being said, I can't do much to help diagnose this. With that in mind, it would be useful to find out exactly what conditions are required for this to occur. Is it only that particular package? It should be tested across different OS versions and flavors. Also, what other chips this may apply to. It's clearly a regression of some kind because it did work, but I can't push this upstream without adequate information.

Changed in lubuntu-meta (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Revision history for this message
Walter Lapchynski (wxl) wrote :

@Aere this is a different chip than Ian's. His machine loads no kernel module. Are you sure this is the same problem?

Revision history for this message
Aere Greenway (aere) wrote :

The problem I posted above, with the Dell DX-1100 machine is a different problem from this one.

Some release later than release 12.04, the Intel graphics on this machine performed poorly (jagged graphics gradients, a.k.a. tearing), and even the Java Web-Start (IcedTea) logo window failed to work on 14.04.

Because of this, I took steps to use a different graphics card (a NVIDIA geForce 6200), in place of the Intel graphics that appeared to have been abandoned by Linux. Where this machine has no AGP port, I used a PCI version of the NVIDIA card. To make it work, I had to set the BIOS to do "AUTO" graphics card selection, rather than using the on-board (Intel) graphics.

That worked, and I have been using it for some time. However, that particular machine I have been using for my 12.04 LTS system testing, so I stopped testing newer systems on it.

In collecting more information regarding this problem, I discovered that the Lubuntu 14.04 live CD system would not boot on this machine, which was a big surprise, since I thought this was a problem with 14.10.

In experimenting with this machine, using different system levels, I discovered that if I used the Intel graphics card (setting the BIOS to use the 'onboard' graphics), the 14.10 live USB systems would not only boot, but that the problems with the Intel graphics have been corrected. I tried this with both Lubuntu 14.10 and ubuntuMATE 14.10, both of which worked with no problems (as long as I didn't try to use the NVIDIA PCI graphics card).

That was indeed a very pleasant surprise, for which I would like to thank the developers profusely! The intel graphics has not been abandoned, but is now supported, and has been fixed! So I can take out the NVIDIA card, and everything will now be fine (well, I had a bit of a struggle getting my Windows partition to go back to using the Intel graphics, but I succeeded).

I do still have the problem of the Lubuntu 14.10 live system (and ubuntuMATE as well) not booting on my Compac Deskpro 933 megahertz machine, which only has its very old Intel graphics).

The problem I posted above, is actually a problem where if you boot the Live-DVD 14.10 system (both Lubuntu and ubuntuMATE), using a PCI (not AGP) NVIDIA card, with the BIOS graphics selection set to 'AUTO', it apparently goes ahead and uses the onboard (Intel) graphics card (which has no monitor connected to it), and ignores the NVIDIA PCI graphics card (which the monitor is connected-to).

It would be nice if this would work (since the NVIDIA has better resolution), but I can work-around the problem by just using the Intel graphics card.

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for lubuntu-meta (Ubuntu) because there has been no activity for 60 days.]

Changed in lubuntu-meta (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers